import { PlatformAccessory } from "homebridge";
import { ProtectSensorConfig } from "unifi-protect";
import { ProtectDevice } from "./protect-device.js";
import { ProtectNvr } from "./protect-nvr.js";
export declare class ProtectSensor extends ProtectDevice {
    private lastAlarm;
    private lastContact;
    private lastLeak;
    ufp: ProtectSensorConfig;
    constructor(nvr: ProtectNvr, device: ProtectSensorConfig, accessory: PlatformAccessory);
    private configureDevice;
    updateDevice(isInitialized?: boolean): string[];
    private configureAlarmSoundSensor;
    private configureAmbientLightSensor;
    private configureContactSensor;
    private configureHumiditySensor;
    private configureLeakSensor;
    private configureTemperatureSensor;
    private configureActiveStatus;
    private configureBatteryStatus;
    private configureTamperedStatus;
    private configureStateCharacteristics;
    private get alarmDetected();
    private get ambientLight();
    private get contact();
    private get humidity();
    private get leakDetected();
    private get temperature();
    private configureMqtt;
    private eventHandler;
}
